Commit 65b232a8 authored by alexpott's avatar alexpott

Issue #2867960 by Eric_A, Mile23, Jo Fitzgerald, mpdonadio: Merge Component...

Issue #2867960 by Eric_A, Mile23, Jo Fitzgerald, mpdonadio: Merge Component composer.json files to account for them during build
parent 669c2ef2
......@@ -28,7 +28,7 @@
"include": [
"core/composer.json"
],
"recurse": false,
"recurse": true,
"replace": false,
"merge-extra": false
},
......
......@@ -4,7 +4,7 @@
"Read more about it at https://getcomposer.org/doc/01-basic-usage.md#composer-lock-the-lock-file",
"This file is @generated automatically"
],
"content-hash": "fdc8e2afb49b5917c7bb593a3a8746d3",
"content-hash": "e64d8398c963abb6a608286320ff0d0c",
"packages": [
{
"name": "asm89/stack-cors",
......
......@@ -155,6 +155,37 @@
"drupal/views_ui": "self.version",
"drupal/workflows": "self.version"
},
"extra": {
"merge-plugin": {
"require": [
"core/lib/Drupal/Component/Annotation/composer.json",
"core/lib/Drupal/Component/Assertion/composer.json",
"core/lib/Drupal/Component/Bridge/composer.json",
"core/lib/Drupal/Component/ClassFinder/composer.json",
"core/lib/Drupal/Component/Datetime/composer.json",
"core/lib/Drupal/Component/DependencyInjection/composer.json",
"core/lib/Drupal/Component/Diff/composer.json",
"core/lib/Drupal/Component/Discovery/composer.json",
"core/lib/Drupal/Component/EventDispatcher/composer.json",
"core/lib/Drupal/Component/FileCache/composer.json",
"core/lib/Drupal/Component/FileSystem/composer.json",
"core/lib/Drupal/Component/Gettext/composer.json",
"core/lib/Drupal/Component/Graph/composer.json",
"core/lib/Drupal/Component/HttpFoundation/composer.json",
"core/lib/Drupal/Component/PhpStorage/composer.json",
"core/lib/Drupal/Component/Plugin/composer.json",
"core/lib/Drupal/Component/ProxyBuilder/composer.json",
"core/lib/Drupal/Component/Render/composer.json",
"core/lib/Drupal/Component/Serialization/composer.json",
"core/lib/Drupal/Component/Transliteration/composer.json",
"core/lib/Drupal/Component/Utility/composer.json",
"core/lib/Drupal/Component/Uuid/composer.json"
],
"recurse": false,
"replace": false,
"merge-extra": false
}
},
"minimum-stability": "dev",
"prefer-stable": true,
"autoload": {
......
......@@ -6,7 +6,7 @@
"license": "GPL-2.0-or-later",
"require": {
"php": ">=5.5.9",
"doctrine/common": "2.5.*",
"doctrine/common": "^2.5",
"doctrine/annotations": "1.2.*",
"drupal/core-file-cache": "^8.2",
"drupal/core-plugin": "^8.2",
......
......@@ -6,7 +6,7 @@
"license": "GPL-2.0-or-later",
"require": {
"php": ">=5.5.9",
"doctrine/common": "2.5.*"
"doctrine/common": "^2.5"
},
"autoload": {
"psr-4": {
......
......@@ -12,7 +12,7 @@
},
"require": {
"php": ">=5.5.9",
"symfony/dependency-injection": "^2.8"
"symfony/dependency-injection": ">=2.8 <4.0.0"
},
"suggest": {
"symfony/expression-language": "For using expressions in service container configuration"
......
......@@ -6,8 +6,8 @@
"license": "GPL-2.0-or-later",
"require": {
"php": ">=5.5.9",
"symfony/dependency-injection": "^2.8",
"symfony/event-dispatcher": "^2.7"
"symfony/dependency-injection": ">=2.8 <4.0.0",
"symfony/event-dispatcher": ">=2.7 <4.0.0"
},
"autoload": {
"psr-4": {
......
......@@ -6,7 +6,7 @@
"license": "GPL-2.0-or-later",
"require": {
"php": ">=5.5.9",
"symfony/http-foundation": "^2.7"
"symfony/http-foundation": ">=2.7 <4.0.0"
},
"autoload": {
"psr-4": {
......
......@@ -6,7 +6,7 @@
"license": "GPL-2.0-or-later",
"require": {
"php": ">=5.5.9",
"symfony/validator": "^2.7"
"symfony/validator": ">=2.7 <4.0.0"
},
"autoload": {
"psr-4": {
......
......@@ -6,7 +6,7 @@
"license": "GPL-2.0-or-later",
"require": {
"php": ">=5.5.9",
"symfony/yaml": "^2.7"
"symfony/yaml": ">=2.7 <4.0.0"
},
"autoload": {
"psr-4": {
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment